ON_EXIT(3)

NAME
on_exit - register a function to be called at normal program termination

SYNOPSIS
#include <stdlib.h>

int on_exit(void (*function)(int , void *), void *arg);

DESCRIPTION
The on_exit() function registers the given function to be called at normal program termination, whether via exit(3) or via return from the program's main. The function is passed the argument to exit(3) and the arg argument from on_exit().

RETURN VALUE
The on_exit() function returns the value 0 if successful; otherwise it returns a non-zero value.

CONFORMING TO
This function comes from SunOS 4, but is also present in libc4, libc5 and glibc. It no longer occurs in Solaris (SunOS 5). Avoid this function, and use the standard atexit(3) instead.

SEE ALSO
_exit(3), atexit(3), exit(3)